LINUX.ORG.RU

Ответ на: комментарий от vladimir_putin

Попробуйте еще раз.

Ув. Владимир Владимирович! Steam зависит от 32х-разрядных библиотек, а у тебя в системе стоят 64х-разрядные. Пакетный менеджер может поставить 32х-разрядные версии тех же библиотек, но только строго той же версии (иначе всё скорее всего сломается). Как видно из лога с пастебина, при установке пакетный менеджер пытается поставить 32х-разрядные библиотеки более новых версий, чем уже установленные 64х-разрядные, что невозможно (см. предыдущее предложение). Так что, попробуй обновить систему перед установкой.

Deleted
()
Ответ на: комментарий от vladimir_putin

ОК, переведу: система обновлена.

Нет. Инфа 146%. Ты либо что-то не так делаешь, либо используешь кривое зеркало с пакетами.

Deleted
()
Ответ на: комментарий от Deleted

ОК.

[aleksey@asus ~]$ sudo dnf update
Последняя проверка окончания срока действия метаданных: 1:26:03 назад, Sat Oct  1 19:46:35 2016.
Зависимости разрешены.
Отсутствуют действия для выполнения
Выполнено!
[aleksey@asus ~]$ sudo dnf upgrade
Последняя проверка окончания срока действия метаданных: 1:26:18 назад, Sat Oct  1 19:46:35 2016.
Зависимости разрешены.
Отсутствуют действия для выполнения
Выполнено!
[aleksey@asus ~]$ 

Репозитории:http://imgur.com/a/2Rftb

vladimir_putin
() автор топика
Ответ на: комментарий от vladimir_putin

Странно. Например:

файл /usr/share/licenses/libpng/LICENSE из устанавливаемого пакета libpng-2:1.6.23-1.fc24.i686 конфликтует с файлом из пакета libpng-2:1.6.21-2.fc24.x86_64

у меня:

# rpm -qa | grep libpng
libpng-1.6.23-1.fc24.i686
libpng-1.6.23-1.fc24.x86_64
Попробуй сделать dnf clean all и dnf makecache.

Deleted
()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от vladimir_putin

Тогда сначала обновиться с ключами --refresh --best --allowerasing, затем попытаться установить steam с --best --allowerasing. Если не выходит, то стоит подождать, пока обновы разойдутся по зеркалам до конца.

carasin ★★★★★
()
Ответ на: комментарий от carasin

Если не выходит, то стоит подождать, пока обновы разойдутся по зеркалам до конца.

Та же libpng лежит на зеркалах с июня. Сколько ещё ждать то? 100% у автора темы что-то не так с системой.

Deleted
()
Ответ на: комментарий от vladimir_putin

Уточните, пожалуйста, что после этих команд?

dnf upgrade после этих команд.

Если не помогает, показывай что у тебя в /etc/yum.repos.d.

Deleted
()

fedora 24

fedora 24 попробуй debian

ggrn ★★★★★
()
Ответ на: комментарий от vladimir_putin

попробуй

dnf clean all
затем
dnf update
возможно, у тебя просто dnf тупит, раньше такое чатсо бывало

anonymous
()
Ответ на: комментарий от Deleted

Если не помогает, показывай что у тебя в /etc/yum.repos.d.

http://imgur.com/a/cLmU9

dnf.conf:

[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=True
fastestmirror=1
vladimir_putin
() автор топика
Последнее исправление: vladimir_putin (всего исправлений: 1)
Ответ на: комментарий от vladimir_putin

Попробуй для всех репозиториев, у которых enabled=1, закомментить mirrorlist и раскомментить baseurl. Затем:

dnf clean all
dnf makecache
dnf upgrade

Deleted
()
Ответ на: комментарий от Deleted

Ничего не изменилось, результат тот же.

Команда dnf upgrade ничего не обновила.

vladimir_putin
() автор топика
Ответ на: комментарий от Deleted
[aleksey@asus ~]$ sudo dnf distro-sync --allowerasing
Последняя проверка окончания срока действия метаданных: 0:06:05 назад, Sun Oct  2 16:28:26 2016.
Зависимости разрешены.
Отсутствуют действия для выполнения
Выполнено!
vladimir_putin
() автор топика
Ответ на: комментарий от Deleted

Хотя можно ещё попробовать отключить все посторонние репозитории, оставить только федоровские и повторить clean all, update и distro-sync. Но ИМХО это не поможет.

Deleted
()

Проблема решена, тред можно закрывать.

vladimir_putin
() автор топика

На будущее, если обновление не помогает, то можно откатить установленные пакеты до одинаковой версии для обеих архитектур:

dnf list pkg_name\*
dnf downgrade pkg_name\*

ArcFi
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.